<template>
  <div>
    <div v-if="logList && logList.length > 0">
      <div class="log-warp" v-for="log in logList" :key="'log' + log.id">
        <div v-if="log.eventType === 'FINISHED'">
          <div>
            <span class="tag name">{{log.nickName}}</span>
            在
            <span class="tag time">{{log.gmtCreate}}</span>
            完成了任务
            <span class="tag taskName">{{log.taskName}}</span>
          </div>
        </div>
        <div v-else-if="log.eventType === 'REJECT'">
          <div>
            <span class="tag name">{{log.nickName}}</span>
            在
            <span class="tag time">{{log.gmtCreate}}</span>
            驳回了任务
            <span class="tag taskName">{{log.taskName}}</span>
          </div>
          <div>驳回原因</div>
        </div>
        <div v-else-if="log.eventType === 'DELEGATE'">
          <div>
            <span class="tag name">{{log.nickName}}</span>
            在
            <span class="tag time">{{log.gmtCreate}}</span>
            将任务
            <span class="tag taskName">{{log.taskName}}</span>
            <span class="tag op">转办</span>
            给了谁谁谁
          </div>
        </div>
        <div v-else-if="log.eventType === 'JUMP'">
          <div>
            <span class="tag name">{{log.nickName}}</span>
            在
            <span class="tag time">{{log.gmtCreate}}</span>
            <span class="tag op">跳过</span>
            了任务
            <span class="tag taskName">{{log.taskName}}</span>
          </div>
          <div>跳过说明</div>
        </div>
        <div v-else-if="log.eventType === 'SUPERVISE'">
          <div>
            <span class="tag name">{{log.nickName}}</span>
            在
            <span class="tag time">{{log.gmtCreate}}</span>
            <span class="tag op">督办</span>
            了任务
            <span class="tag taskName">{{log.taskName}}</span>
          </div>
        </div>
        <div v-else-if="log.eventType === 'TEAM_WORK'">
          <div>
            <span class="tag name">{{log.nickName}}</span>
            在
            <span class="tag time">{{log.gmtCreate}}</span>
            邀请了谁谁谁
            <span class="tag op">协同办理</span>
            <span class="tag taskName">{{log.taskName}}</span>
          </div>
        </div>
      </div>
    </div>
    <div v-else style="display: flex;justify-content: center;align-items: center;height: 500px">
      <el-empty :image="emptyImage" description="未查询到日志信息"></el-empty>
    </div>
  </div>
</template>

<script>
export default {
  name: "LogView",
  props: {
    logList: {
      require: true,
      type: Array
    }
  },
  data() {
    return {
      emptyImage: require('@/assets/nodata.png')
    }
  }
}
</script>

<style scoped>
.tag {
  margin: 0 5px;
}
.name {
  color: #E6A23C;
}
.time {
  color: #909399;
}
.taskName {
  color: #409EFF;
}
.op {
  color: #F56C6C;
}
</style>
